import 'dart:io';

import 'package:pubspec_yaml/pubspec_yaml.dart';

Future<String> _getVersion() async {
  //PubSpec yaml = await getPubSpec(path: File.fromUri(Platform.script).parent.parent.path);
  File file =
      File(File.fromUri(Platform.script).parent.parent.path + "/pubspec.yaml");
  final pubspec = PubspecYaml.loadFromYamlString(file.readAsStringSync());
  return pubspec.version.valueOr(() => '0.1.0');
}

void version() async {
  printSnowBlower();
  print('CLI package manager and template for Flutter');
  print('');
  print("Flutter Snow Blower CLI version: ${await _getVersion()}");
}

void printSnowBlower() {
  print('''
                                                      %                           
                                                   %  %                         
                                                                                
%%%%%%%%%%%%%%                                     %  % %  %                    
%%(((........%.                                                                 
        %....*%                               %    %  % %  % %  %               
        #%....%%                            (((%%                               
         %%....%%                        *(((****%%%                            
          %%....%%                     (((****,   *%%                           
           %%....%%                  (((****   *%%%                             
            %%....%%               (((****  **%%                                
             %,....%%             ((****   *%%                                  
             ,%.....%.           ((*****  #%                                    
              %%....*%           ((******.*%%                          %%%%%%%%%
                ..................((*********%%%                   %%%##(((((((%
                 ....................*************%%%%%            %%##((((((((%
                %%%################################################&%##((((((((%
                %%%################################################&%##((((((((%
                %%%################################################&%##(((((  (%
                %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%&%###((((  (%
                &&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&%%###((((  (%
                @&&((((((&&....&&#(((((&&&&&(((((((&/....&#((((((&& %%##((((  (%
                 &&&((((((((&&#((((####&& &&&((((((((&&&((((((((&&&  %%##(((  (%
                  &&&((((((((((((((((&&&%%% &&%((((((((((((((((&&/     %%#((  (%
                    &&&&((((((((((&&&&      %%&&&#((((((((((&&&%         %%%%((%
                        &&&&&&&&&&%              &&&&&&&&&&&                   %
                                                                                                             
                                                               
       _____                          ______  _                              
      /  ___|                         | ___ \\| |                             
      \\ `--.  _ __    ___  __      __ | |_/ /| |  ___  __      __  ___  _ __ 
       `--. \\| '_ \\  / _ \\ \\ \\ /\\ / / | ___ \\| | / _ \\ \\ \\ /\\ / / / _ \\| '__|
      /\\__/ /| | | || (_) | \\ V  V /  | |_/ /| || (_) | \\ V  V / |  __/| |   
      \\____/ |_| |_| \\___/   \\_/\\_/   \\____/ |_| \\___/   \\_/\\_/   \\___||_|   
                                                                       
                                                                       
''');
}
